Bug 86647 - MENU: Move 'Table Boundaries' to View menu
Summary: MENU: Move 'Table Boundaries' to View menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-24 02:16 UTC by Yousuf Philips (jay)
Modified: 2014-12-09 13:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-24 02:16:12 UTC
As Table > Table Boundaries is a viewing setting similar to Non-printing Characters and Text Boundaries, it should be placed in the View menu.
Comment 1 Cor Nouws 2014-11-24 08:19:31 UTC
As Table > Table Boundaries is a viewing setting related to table functions it should be placed in the Table menu.
Comment 2 Joel Madero 2014-11-25 16:02:43 UTC
Clearly need UX to come to some consensus on this. Setting to ux-advice.

@Jay - maybe instead of reporting a thousand requests you should FIRST run them by the ux team and then report the issue saying "ux team has agreed...." or something like that.
Comment 3 Cor Nouws 2014-11-26 17:29:15 UTC
(In reply to Joel Madero from comment #2)
> Clearly need UX to come to some consensus on this. Setting to ux-advice.
> 
> @Jay - maybe instead of reporting a thousand requests you should FIRST run
> them by the ux team and then report the issue saying "ux team has
> agreed...." or something like that.

Hi Joel, *,

Often one can learn more, have more benefit, from _one_ that disagrees and gives feed back then from many that just agree.
So in preparing changes, it should be the aim to get as many involved as reasonably possible. Thus more place (two and not one) looks good to me.
Cheers,
Cor
Comment 4 A (Andy) 2014-11-26 21:43:19 UTC
(In reply to Cor Nouws from comment #3)
> (In reply to Joel Madero from comment #2)
> > Clearly need UX to come to some consensus on this. Setting to ux-advice.
> > 
> > @Jay - maybe instead of reporting a thousand requests you should FIRST run
> > them by the ux team and then report the issue saying "ux team has
> > agreed...." or something like that.
> 
> Hi Joel, *,
> 
> Often one can learn more, have more benefit, from _one_ that disagrees and
> gives feed back then from many that just agree.
> So in preparing changes, it should be the aim to get as many involved as
> reasonably possible. Thus more place (two and not one) looks good to me.
> Cheers,
> Cor

I would also agree with Cor.  I think it is also good to discuss it in Bugzilla, because then more users can give feedbacks and with the cc field you can also discuss it with the ux team, but at the same also other users can easy follow this and get involved and you can maybe also win more users to get involved to improve LO.
I personally like this Bugzilla system, because for me as a normal user it is an easy way to participate.

---

My personal opinion to the issue reported by Jay:
I understand Jay's rationale behind and it is very reasonable to think about.  But I personally would prefer to keep it in the TABLE menu, because this is only linked to tables and no general thing.
Comment 5 Adolfo Jayme 2014-11-27 15:34:22 UTC
Moving everything that affects view to the View menu is like thinking that it should be a catch-all dumping place, which is not. There is a reason why we have a separate Table menu.

As Cor, Andy and I agree that is should not be moved, for now, I am marking this WONTFIX.
Comment 6 Yousuf Philips (jay) 2014-11-27 19:38:03 UTC
We discussed the issue at this week's design meeting and below are the minutes.

+ the View menu contains other settings like these, looks logical to move this one there too (Kendy)
+ agree that it is similar as the View items (Cor)
    + but we have a specific menu for Table (Cor)
+ new users: when they see it in Table menu, they consider that as a property of tables (Jay)
    + when you click it, by default it looks like doing nothing (because you have
      the borders for tables normally) (Jay)
    + in View, it is clearer that it affects just the view, not the table content (Jay)
+ would the menu a bit more balanced (Kendy)
+ let's do the change in master, and if we see complains, let's revert (Kendy)
    + I would not change unless there is a clear need, enough changes and to document and explain..(Cor)
Comment 7 Yousuf Philips (jay) 2014-11-27 20:09:56 UTC
(In reply to Adolfo Jayme from comment #5)
> Moving everything that affects view to the View menu is like thinking that
> it should be a catch-all dumping place, which is not.

Please enlighten me on which other menu entries that affects view are available in the menu.
Comment 8 Cor Nouws 2014-11-28 12:38:41 UTC
I would suggest - as compromise - to have it both in Table and in View.
Comment 9 A (Andy) 2014-11-28 17:47:50 UTC
(In reply to Cor Nouws from comment #8)
> I would suggest - as compromise - to have it both in Table and in View.

With this proposal I good live very well.  It sounds good.
Comment 10 Commit Notification 2014-12-09 09:18:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00c9b98426f42a006a86b76f61f81818d9029487

fdo#86647 add 'Table Boundaries' to the View menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-12-09 12:46:48 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a1ecd04f9e597defb541da6b4a20312a91ccb52&h=libreoffice-4-4

fdo#86647 add 'Table Boundaries' to the View menu

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.